package org.netkernel.xml.representation;


/** Marker interface to tag types that may be attempted to be created from beans using the XMLToBeanTransreptor
 * @author Tony Butterfield
 *
 */
public interface IBeanFromXML
{
	/** Clients of a representation can use this method to ensure it is correctly initialised before using
	 * @throws Exception thrown if anything in is wrong, a meaningful and descriptive exception
	 */
	void assertInvariant() throws Exception;
}
