package org.netkernel.xml.util;

import java.io.InputStream;
import java.io.Reader;

import org.w3c.dom.ls.LSInput;

public class LSInputImpl implements LSInput
{
	private InputStream mStream;
	private String mBaseURI;
	private String mEncoding;
	private String mPublicId;
	private String mSystemId;
	private boolean mCertifiedText;
	private Reader mReader;
	private String mString;
	
	public LSInputImpl(InputStream aStream)
	{	mStream=aStream;
	}

	public String getBaseURI()
	{	return mBaseURI;
	}

	public InputStream getByteStream()
	{	return mStream;
	}

	public boolean getCertifiedText()
	{	return mCertifiedText;
	}

	public Reader getCharacterStream()
	{	return mReader;
	}

	public String getEncoding()
	{	return mEncoding;
	}

	public String getPublicId()
	{	return mPublicId;
	}

	public String getStringData()
	{	return mString;
	}

	public String getSystemId()
	{	return mSystemId;
	}

	public void setBaseURI(String arg0)
	{	mBaseURI=arg0;	
	}

	public void setByteStream(InputStream arg0)
	{	mStream=arg0;
	}

	public void setCertifiedText(boolean arg0)
	{	mCertifiedText=arg0;
	}

	public void setCharacterStream(Reader arg0)
	{	mReader=arg0;
	}

	public void setEncoding(String arg0)
	{	mEncoding=arg0;
	}

	public void setPublicId(String arg0)
	{	mPublicId=arg0;
	}

	public void setStringData(String arg0)
	{	mString=arg0;
	}

	public void setSystemId(String arg0)
	{	mSystemId=arg0;	
	}

}
